Qt 5.6 | Qt 3D | C++ Classes | QAttribute

Qt 5.6.3 Reference Documentation

# QAttribute Class

(Qt3DRender::QAttribute)

Inherits: | QAbstractAttribute

- List of all members, including inherited members

## Public Functions

| QAttribute(Qt3DCore::QNode *parent = Q_NULLPTR)
| QAttribute(QBuffer *buf, DataType type, uint dataSize, int count, int offset = 0, int stride = 0)
| QAttribute(QBuffer *buf, const QString &name, DataType type, uint dataSize, int count, int offset = 0, int stride = 0)
| ~QAttribute()
QBuffer * | buffer() const

## Reimplemented Public Functions

virtual QVector<QVector2D> | asVector2D() const
virtual QVector<QVector3D> | asVector3D() const
virtual QVector<QVector4D> | asVector4D() const
virtual void | dump(int count)

- 13 public functions inherited from Qt3DRender::QAbstractAttribute
- 6 public functions inherited from Qt3DCore::QNode

## Static Public Members

QString | defaultColorAttributeName()
QString | defaultNormalAttributeName()
QString | defaultPositionAttributeName()
QString | defaultTangentAttributeName()
QString | defaultTextureCoordinateAttributeName()

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 9 properties inherited from Qt3DRender::QAbstractAttribute
- 2 properties inherited from Qt3DCore::QNode
- 9 public slots inherited from Qt3DRender::QAbstractAttribute
- 2 public slots inherited from Qt3DCore::QNode
- 9 signals inherited from Qt3DRender::QAbstractAttribute
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QAttribute::QAttribute(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAttribute.

### QAttribute::QAttribute(QBuffer *buf, DataType type, uint dataSize, int count, int offset = 0, int stride = 0)

Default constructs an instance of QAttribute.

### QAttribute::QAttribute(QBuffer *buf, const QString &name, DataType type, uint dataSize, int count, int offset = 0, int stride = 0)

Default constructs an instance of QAttribute.

### QAttribute::~QAttribute()

Destroys the instance of QAttribute.

### `[virtual]` QVector<QVector2D> QAttribute::asVector2D() const

### `[virtual]` QVector<QVector3D> QAttribute::asVector3D() const

### `[virtual]` QVector<QVector4D> QAttribute::asVector4D() const

### QBuffer *QAttribute::buffer() const

### `[protected]` void QAttribute::copy(const Qt3DCore::QNode *ref)

### `[static]` QString QAttribute::defaultColorAttributeName()

### `[static]` QString QAttribute::defaultNormalAttributeName()

### `[static]` QString QAttribute::defaultPositionAttributeName()

### `[static]` QString QAttribute::defaultTangentAttributeName()

### `[static]` QString QAttribute::defaultTextureCoordinateAttributeName()

### `[virtual]` void QAttribute::dump(int count)